diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index dfff2b9..593eaf1 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -7259,7 +7259,7 @@ The compDefine function expects three arguments:
 \end{chunk}
 
 \defun{compileDocumentation}{compileDocumentation}
-\calls{compileDocumentation}{make-input-filename}
+\calls{compileDocumentation}{makeInputFilename}
 \calls{compileDocumentation}{rdefiostream}
 \calls{compileDocumentation}{lisplibWrite}
 \calls{compileDocumentation}{finalizeDocumentation}
@@ -7274,7 +7274,7 @@ The compDefine function expects three arguments:
 (defun |compileDocumentation| (libName)
  (let (filename stream)
  (declare (special |$e| |$EmptyMode| |$spadLibFT| $fcopy))
-  (setq filename (make-input-filename libName |$spadLibFT|))
+  (setq filename (makeInputFilename libName |$spadLibFT|))
   ($fcopy filename (cons libname (list 'doclb)))
   (setq stream
    (rdefiostream (cons (list 'file libName 'doclb) (list (cons 'mode 'o)))))
diff --git a/changelog b/changelog
index 8b244da..fb231c2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20120213 jhd src/axiom-website/patches.html 20120213.01.jhd.patch
+20120213 jhd src/interp/patches.lisp fix browser make-input-filename
+20120213 jhd src/interp/lisplib.lisp fix browser make-input-filename
+20120213 jhd books/bookvol9 fix browser make-input-filename
+20120213 jhd "James Davenport" <J.H.Davenport@bath.ac.uk>
 20120210 tpd src/axiom-website/patches.html 20120210.02.tpd.patch
 20120210 tpd books/bookvolbib add Dav12 for Computer Algebra book
 20120210 tpd src/axiom-website/patches.html 20120210.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f3dae26..76b6f0d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3802,5 +3802,7 @@ books/bookvol8.1 add color, scaling, remove axes for images<br/>
 books/bookvolbib add Jen79, Dav80 for MODLISP<br/>
 <a href="patches/20120210.02.tpd.patch">20120210.02.tpd.patch</a>
 books/bookvolbib add Dav12 for Computer Algebra book<br/>
+<a href="patches/20120213.01.jhd.patch">20120213.01.jhd.patch</a>
+books/bookvol9 fix browser make-input-filename<br/>
  </body>
 </html>
diff --git a/src/interp/lisplib.lisp.pamphlet b/src/interp/lisplib.lisp.pamphlet
index eb863e0..fa45559 100644
--- a/src/interp/lisplib.lisp.pamphlet
+++ b/src/interp/lisplib.lisp.pamphlet
@@ -22,7 +22,7 @@
 ;    else false
 
 (DEFUN |isExistingFile| (|f|)
-  (COND ((MAKE-INPUT-FILENAME |f|) 'T) ('T NIL)))
+  (COND ((makeInputFilename |f|) 'T) ('T NIL)))
 
 ;readLibPathFast p ==
 ;  -- assumes 1) p is a valid pathname
@@ -262,7 +262,7 @@
       (COND
         ((NULL (SPADLET |f| (|getFunctionSourceFile1| |fun|))) NIL)
         ('T
-         (COND ((MAKE-INPUT-FILENAME |f|) (|updateSourceFiles| |f|)))
+         (COND ((makeInputFilename |f|) (|updateSourceFiles| |f|)))
          |f|)))))
 
 ;getFunctionSourceFile1 fun ==
diff --git a/src/interp/patches.lisp.pamphlet b/src/interp/patches.lisp.pamphlet
index a1f98c9..cc982b6 100644
--- a/src/interp/patches.lisp.pamphlet
+++ b/src/interp/patches.lisp.pamphlet
@@ -180,7 +180,7 @@ It used to read:
  (setq system:*print-nans* T)
 
 (defun /EF (&rest foo)
-  (obey (concat "vi " (namestring (vmlisp::make-input-filename /EDITFILE)))))
+  (obey (concat "vi " (namestring (vmlisp::makeInputFilename /EDITFILE)))))
 #-:CCL
   (defun user::start () (in-package "BOOT") (boot::|start|))
 #+:CCL
